include:
  - local: 'container-registry/.gitlab-ci.yml'
  - local: 'maven-repository/.gitlab-ci.yml'
  - local: 'npm-registry/.gitlab-ci.yml'

.shared-rules:
  rules:
    - if: $CI_MERGE_REQUEST_ID
      when: always
    - if: $RUN_ALL_TESTS
      when: always
    - when: manual
      allow_failure: true

container-registry:
  extends: .shared-rules

maven-repository:
  extends: .shared-rules

npm-registry:
  extends: .shared-rules
